<template>
	<view class="begin">
		<view class="title">
			学习心得
		</view>
		<uni-segmented-control :current="current" :values="value" style-type="text" @clickItem="onCheck"
			activeColor="red"></uni-segmented-control>
		<view class="content">
			<view v-show="current === 0">
				<part v-for="index in 3" class="student_part" :part_title="part_title" :part_content="part_content">
				</part>
				<view class="student_button">
					新建感言
				</view>
			</view>
			<view v-show="current === 1">
				<studentwrite></studentwrite>
				<studentwrite></studentwrite>
			</view>
		</view>

		<view class="student_end">
			<view class="nav_bottom" v-for="(path_image,index) in endbottom" @click="gowhere(index)">
				<image :src="path_image[0]"></image>
				<p>{{path_image[1]}}</p>
			</view>
		</view>
	</view>
</template>

<script>
	import part from "../../components/part.vue"
	import studentwrite from "../../components/student_write.vue"
	export default {
		components: {
			part,
			studentwrite
		},
		data() {
			const imagepath = Array.from({
				length: 4
			}).map((_, x) => `../../static/a${x+1}.png`)
			const textarray = ["首页", "公益", "心得", "我的"]
			const endbottom = imagepath.map((value, index) => [value, textarray[index]])
			console.log(endbottom)
			return {
				current: 0,
				value: ["学习感言", "学习历史"],
				part_title: "山西省委常委交流集中学习心得和体会，坚交流集中学习心得和体会，坚交流集中学习心得和体会，坚交流集中学习心得和体会，坚交流集中学习心得和体会，坚",
				part_content: "8月18日，山西省委常委就集体学习《论群众路线》，《厉行节约、反对浪费》两本重要论述摘编，相互交流学习心相互交流学习心相互交流学习心相互交流学习心相互交流学习心相互交流学习心相互交流学习心相互交流学习心相互交流学习心相互交流学习心",
				endbottom,
				useInput: "",
				write_none: false
			}
		},
		methods: {
			onCheck(e) {
				if (this.current != e.currentIndex) {
					this.current = e.currentIndex
				}
			},
			insertShow() {
				this.write_none = true;
			},
			if_none() {
				this.write_none = false;
				this.useInput = ""
			},
			async requests(updown, path) {
				let response
				if (updown == "up") {
					response = await fetch(`http://124.93.196.45:10091/Neusoft/times-model${path}`, {
						method: "POST",
						headers: {
							"Content-Type": "application/json",
						},
						body: JSON.stringify({
							"password": "0CYdq6Hn",
							"username": "6dOMIgIU"
						})
					})
				} else if (updown == "down") {
					response = await fetch(`http://124.93.196.45:10091/Neusoft/times-model${path}`, {
						method: "GET",
						headers: {
							"Content-Type": "application/json",
							"Authorization": (await this.requests("up", "/app/login")).token
						},
					})

				}
				const data = await response.json()
				console.log(data)
				return data
			},
			gowhere(index) {
				switch (index) {
					case 0:
						uni.navigateTo({
							url: '/pages/index/index'
						});
						break;
					case 1:
						uni.navigateTo({
							url: '/pages/index/voluteer'
						});
						break;
				}
			}
		},
		async mounted() {
			await this.requests("down", "/appStudy/app/deleteStatement")
		}
	}
</script>

<style>
	.begin {
		background-color: rgb(244, 244, 244);
		height: 95vh;
		display: flex;
		flex-direction: column;
	}

	.title {
		font-size: 1.3rem;
		font-weight: bold;
		text-align: center;

	}

	.content {
		margin-top: 20px;
		flex: 1;
	}

	.student_button {
		position: absolute;
		left: 25%;
		bottom: 20%;
		text-align: center;
		border-radius: 50px;
		background-color: #C2050F;
		color: white;
		width: 200px;
		height: 50px;
		line-height: 50px;
		font-size: 1.1rem;
	}


	.student_end {
		display: flex;
		justify-content: space-around;
		background-color: white;
		position: fixed;
		bottom: 0;
		left: 0;
		width: 100vw;
		height:65px;
	}

	.nav_bottom {
		display: flex;
		flex-direction: column;
		align-items: center;
	}
	
	.nav_bottom image {
		width: 40px;
		height: 40px;
	}
	
	.nav_bottom:nth-child(3) p {
		color: #C2050F;
	}
</style>
